# Willkommen bei Widerhall!

(english version below)

## Was ist Widerhall?

Diese Software zielt darauf ab, _Mailing-Listen_ zu erstellen, ohne sich mit dem Thema _Mail-Server_ beschäftigen zu müssen.

Alles was du brauchst, um mit _Widerhall_ eine Mailing-Liste zu erstellen ist diese Software und eine IMAP-fähige Email-Adresse.

## Wie funktioniert das?

Nach dem Start der Software geht man auf deren Startseite und legt einen Administrations-Account an.

Dann kann man – als Admin – Mailing-Listen anlegen, indem man einfach die Zugangsdaten zu den entsprechenden Mail-Adressen in dieser Software hinterlegt.

Sobald man eine so angelegte Verteiler-Liste aktiviert, verbindet sich diese Software mit der entsprechenden Mailbox und wartet auf eingehende Nachrichten. Immer wenn eine Nachricht empfangen wird, wird diese an die jeweiligen Abonnenten der Liste weitergeleitet.

## Wie kann die Mailing-Liste abonniert werden?

Du kannst jede Mailing-Liste, welche du angelegt hast, öffentlich machen.
Alle öffentlichen Mailing-Listen werden auf der Startseite von _Widerhall_ aufgelistet. Besucher dieser Seite können dann jede beliebige der öffentlichen Mailing-Listen abonnieren, indem sie den **abonnieren**-Button klicken. Sie müssen dann ihren Namen und ihre Email-Adresse angeben. Danach bekommen Sie eine Email mit einem Link, den sie einmalig anklicken müssen, um ihr Abonnement zu bestätigen.

## Kostet es was?

Nein. _Widerhall_ ist FOSS. Das steht für Free Open Source Software – freie, quelloffene Software – und bedeutet jeder kann eine Kopie des Software-Codes beziehen und es selbstverantwortlich einsetzen.

## Anleitung

Lesen Sie die [Anleitung] für Hinweise zu Installation und Wartung.

## aktueller Status

Auch wenn diese Software schon einige Zeit für die Verteiler-Listen des Jenaer Reparier-Cafes verwendet wird, gibt es keine Garantie. Die Software könnte Fehler enthalten. Betrachten Sie die aktuelle Version als Beta.

[Anleitung]: doc/anleitung.md

-------

# Welcome to Widerhall!

## What is Widerhall?

_Widerhall_ is the german word for reverberation. 

This is a software dedicated to the creation of mailing lists without knowhow regarding _mailservers_.

All you need to create a mailing list with _Widerhall_ is this software and an IMAP-enabled email address.

## How does it work?

After you started the software, you go to it's front page, set up an admin account.

Then, as admin, you can create mailing lists by just entering the respective login credentials into this software.

When enabling a list, this software connects to the respective mailbox and waits for incoming messages. Everytime a message is received, the software forwards it to any subscriber of that list.

## How does subscription work?

You can make public every mailing list you create.
All public mailing lists are presented on _Widerhall_`s front page. Visitors may join each of the public mailing lists by hitting the _subscribe_ button. They need to enter their name and email address. After that, they receive a confirmation email with a link, that completes their subscription.

## Is it free?

Yes. _Widerhall_ is FOSS, which stands for Free Open Source Software.
That means everyone can obtain a free copy of the source code and use it on it`s own behalf.

## Instructions

Refer to [Instructions] for hints on setup and maintenance.

## Current state

This software is brand new and may contain bugs. Regard it as alpha state, do not use in production environments!

[Instructions]: doc/instructions.md